<?php

namespace Pterodactyl\Contracts\Repository;

use Pterodactyl\Models\Task;

interface TaskRepositoryInterface extends RepositoryInterface
{
    /**
     * Get a task and the server relationship for that task.
     *
     * @throws \Pterodactyl\Exceptions\Repository\RecordNotFoundException
     */
    public function getTaskForJobProcess(int $id): Task;

    /**
     * Returns the next task in a schedule.
     *
     * @return \Pterodactyl\Models\Task|null
     */
    public function getNextTask(int $schedule, int $index);
}
